import pathlib
from setuptools import setup, find_packages

setup(
    name="samosila-core",
    version="0.0.6",
    author="Mohammad Javad Hosseini",
    author_email="johndoe2561357@protonmail.com",
    description="",
    long_description=pathlib.Path("README.md").read_text(),
    long_description_content_type="text/markdown",
    license="MIT",
    python_requires=">=3.10,<3.12",
    packages=find_packages(),
    include_package_data=True,
    install_requires=[
        "appdirs",
        "certifi",
        "cryptography",
        "regex",
        "requests",
        "requests-file",
        "requests-html",
        "tokenizers>=0.15",
        "Pillow>=10",
        "python-dotenv>=1",
        "pydantic_settings>=2",
        "six",
        "tiktoken>=0.5",
        "unstructured>=0.11",
        "validators",
        "httpx>=0.25",
        "pydantic>=2",
        "tenacity",
        "openai>=1",
        "aiohttp"
    ],
    extras_require={
        "providers": [            
            "ai21",
            "cohere",
            "context-python",
            "ctranslate2",
            "edge-tts",
            "elevenlabs",
            "faster-whisper>=0.10",
            "fireworks-ai>=0.9",
            "g4f",
            "google-generativeai>=0.3",
            "gradientai",
            "llama_cpp_python",
            "novita_client>=0.4",
            "replicate>=0.21",
            "together",
            "sentence-transformers>=2.2",
            "TTS>=0.22",
            "voyageai",
            "gptcache>=0.1.43",
            "faiss-cpu>=1.7",
        ],
        "local":[
            "TTS>=0.22",
            "sentence-transformers>=2.2",
            "llama_cpp_python",
            "gptcache>=0.1.43",
            "librosa>=0.10",
            "PyAudio",
            "faiss-cpu>=1.7",
            "soundfile",
            "timm>=0.4.12",
            "torch>=2",
            "torchaudio>=2",
            "torchvision>=0.15",
            "transformers>=4.36",
            "nltk>=3.8",
        ],
        "full": [
            "ai21",
            "cohere",
            "context-python",
            "ctranslate2",
            "edge-tts",
            "elevenlabs",
            "faster-whisper>=0.10",
            "fireworks-ai>=0.9",
            "g4f",
            "google-generativeai>=0.3",
            "gradientai",
            "llama_cpp_python",
            "sentence-transformers>=2.2",
            "novita_client>=0.4",
            "replicate>=0.21",
            "together",
            "TTS>=0.22",
            "voyageai",
            "gptcache>=0.1.43",
            "librosa>=0.10",
            "PyAudio",
            "faiss-cpu>=1.7",
            "soundfile",
            "timm>=0.4.12",
            "torch>=2",
            "torchaudio>=2",
            "torchvision>=0.15",
            "transformers>=4.36",
            "nltk>=3.8",
            "deepeval",
            "llmlingua",
            "lunary",
            "promptlayer",
            "omegaconf>=2.3",
            "prompt-toolkit>=3",
            "sentencepiece",
        ]
    }
)
